function [l,u] = elleu(a)
%   Calcola la fattorizzazione LU.
%   La funzione termina con un errore
%   se c'e' un pivot < EPS*NORM(A)
nor=norm(a);
% Controlla le dimensioni di A:
[n,m] = size(a);
if m != n
    disp('A non e'' quadrata')
    return
end
l=-eye(n);
for k=1:n-1
  if abs(a(k,k)) < eps*nor
	  disp('Pivot troppo piccolo')
	  return
  end
  l(k+1:n,k) = -a(k+1:n,k)/a(k,k);
  a(k+1:n,k+1:n) = a(k+1:n,k+1:n)+l(k+1:n,k)*a(k,k+1:n);
end
% Immagazzina i risultati nelle matrici l e u:
l = -l;
u = zeros(n);
u = triu(a);
end
