function [xh,th,uh]=hyper(xspan,tspan,ut0,ux0,a,cfl,deltat);
  % Risolve l'equazione del trasporto lineare
  % Descrivere i parametri formali
  Nt=((tspan(2)-tspan(1))/deltat)+1;
  th=linspace(tspan(1),tspan(2),Nt);
  deltax=deltat*a/cfl;
  Nx=((xspan(2)-xspan(1))/deltax)+1;
  xh=linspace(xspan(1),xspan(2),Nx);
  % Nella matrice che rappresenta la soluzione uh si ha:
  % il primo indice indica l'elemento sulla griglia temporale,
  % ed e' equivalente ad un indice in alto;
  % il secondo indice  indica l'elemento sulla griglia spaziale
  % ed e' equivalente ad un indice in basso;
  uh=zeros(Nt,Nx);
  uh(1,:)=ut0(xh);
  uh(:,1)=ux0(th);
  for n=1:Nt-1
    for i=2:Nx
      uh(n+1,i)=uh(n,i) - cfl*(uh(n,i)-uh(n,i-1));
    end
  end
end
