function dome=rhs_euler(ome,t,inertia)
  % input:
  % the vector of principal moments of inertia and
  % the angular velocity,
  % ome(1) = omega_1
  % ome(2) = omega_2
  % ome(3) = omega_3
  % t, the vector of times
  % output: the right-hand side of Euler equations
  % and the right-hand side of the equations for the Euler angles
  dome(1)=((inertia(2)-inertia(3))/inertia(1))*ome(2)*ome(3);
  dome(2)=((inertia(3)-inertia(1))/inertia(2))*ome(3)*ome(1);
  dome(3)=((inertia(1)-inertia(2))/inertia(3))*ome(1)*ome(2);
end
